Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 22 Nov 2022 08:29:37 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hello, there’s a promotional going on that’s additional 18 for bank Muscat card. And I have bank Muscat visa master card
And when I put my items and go to the check out and write my card information it does not show 18 off discount!
Why is that? Even the all items I select have the same offer. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5279083